<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a0c744e5-40c6-443a-b4b4-4a911eabacab" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/package.json" beforeDir="false" afterPath="$PROJECT_DIR$/package.json" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/.tmp/" />
    <ignored path="$PROJECT_DIR$/temp/" />
    <ignored path="$PROJECT_DIR$/tmp/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-369516001">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="26" />
          <entry key="project.open.time.0" value="8" />
          <entry key="project.open.time.1" value="14" />
          <entry key="project.open.time.2" value="2" />
          <entry key="project.open.time.3" value="2" />
          <entry key="project.open.time.5" value="1" />
          <entry key="project.opened" value="27" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="LICENSE" value="1" />
          <entry key="babelrc" value="1" />
          <entry key="gitignore" value="1" />
          <entry key="js" value="3" />
          <entry key="json" value="9" />
          <entry key="md" value="1" />
          <entry key="ts" value="25" />
          <entry key="yml" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JSON" value="10" />
          <entry key="JavaScript" value="3" />
          <entry key="Markdown" value="1" />
          <entry key="PLAIN_TEXT" value="2" />
          <entry key="TypeScript" value="25" />
          <entry key="YAML" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="json" value="59" />
          <entry key="md" value="434" />
          <entry key="ts" value="6502" />
          <entry key="yml" value="6" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JSON" value="59" />
          <entry key="Markdown" value="434" />
          <entry key="TypeScript" value="6502" />
          <entry key="YAML" value="6" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.js.language.service.starts">
        <counts>
          <entry key="TsLintLanguageService" value="26" />
          <entry key="TypeScriptServerServiceImpl" value="26" />
        </counts>
      </usages-collector>
    </session>
    <session id="-168880447">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="9" />
          <entry key="project.open.time.0" value="9" />
          <entry key="project.open.time.1" value="1" />
          <entry key="project.opened" value="10" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="babelrc" value="78" />
          <entry key="json" value="220" />
          <entry key="md" value="2349" />
          <entry key="ts" value="2360" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JSON" value="257" />
          <entry key="Markdown" value="2349" />
          <entry key="TypeScript" value="2360" />
          <entry key="tsconfig" value="41" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.js.language.service.starts">
        <counts>
          <entry key="TsLintLanguageService" value="5" />
          <entry key="TypeScriptServerServiceImpl" value="5" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="js" value="8" />
          <entry key="json" value="4" />
          <entry key="md" value="2" />
          <entry key="ts" value="14" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="JSON" value="3" />
          <entry key="JavaScript" value="8" />
          <entry key="Markdown" value="2" />
          <entry key="TypeScript" value="14" />
          <entry key="tsconfig" value="1" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/package.json">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="54">
              <caret line="3" column="19" lean-forward="true" selection-start-line="3" selection-start-column="19" selection-end-line="3" selection-end-column="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/tests/basic.test.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="252">
              <caret line="15" lean-forward="true" selection-start-line="15" selection-end-line="15" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/.babelrc">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="54">
              <caret line="3" column="24" selection-start-line="3" selection-start-column="24" selection-end-line="3" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/dist/index.js">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/dist/scripts/release.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="36">
              <caret line="2" column="39" selection-start-line="2" selection-start-column="39" selection-end-line="2" selection-end-column="61" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/index.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="432">
              <caret line="24" selection-start-line="24" selection-end-line="24" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>ClientConfig</find>
      <find>RecursiveReadonly</find>
      <find>Readonly</find>
      <find>Object</find>
      <find>export</find>
      <find>extend</find>
      <find>serializeJavascript</find>
      <find>@spine</find>
      <find>Immutable</find>
      <find>Im</find>
      <find>enumer</find>
      <find>hydrate</find>
      <find>window</find>
      <find>configSource</find>
      <find>assignConfig</find>
      <find>loaded</find>
      <find>configPathError</find>
      <find>__CLIENT</find>
      <find>__CONFIG__</find>
      <find>PublicConfigFilter</find>
      <find>hydrationKey</find>
      <find>filter</find>
      <find>clientConfigFilter</find>
      <find>clientConfig</find>
      <find>publicConfigFilter</find>
      <find>hydrated</find>
      <find>jest</find>
      <find>@types/je</find>
      <find>_interopRequireWildcard</find>
      <find>genera</find>
    </findStrings>
    <replaceStrings>
      <replace>configFilter</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/envVars.ts" />
        <option value="$PROJECT_DIR$/tests/basic/src/config/values.ts" />
        <option value="$PROJECT_DIR$/tests/basic/src/config/index.ts" />
        <option value="$PROJECT_DIR$/tests/basic/src/config/load.ts" />
        <option value="$PROJECT_DIR$/tests/basic/src/config/clientConfigFilter.ts" />
        <option value="$PROJECT_DIR$/utils/filterWithRules.ts" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/LICENSE" />
        <option value="$PROJECT_DIR$/.gitlab-ci.yml" />
        <option value="$PROJECT_DIR$/server.ts" />
        <option value="$PROJECT_DIR$/bootstrap.ts" />
        <option value="$PROJECT_DIR$/tsconfig.json" />
        <option value="$PROJECT_DIR$/tests/basic/__tests__/config.test.ts" />
        <option value="$PROJECT_DIR$/tests/config.test.ts" />
        <option value="$PROJECT_DIR$/tests/basic.test.ts" />
        <option value="$PROJECT_DIR$/exec.ts" />
        <option value="$PROJECT_DIR$/scripts/release.ts" />
        <option value="$PROJECT_DIR$/project-path.ts" />
        <option value="$PROJECT_DIR$/internal/utils/exec.ts" />
        <option value="$PROJECT_DIR$/README.md" />
        <option value="$PROJECT_DIR$/index.ts" />
        <option value="$PROJECT_DIR$/dist/package.json" />
        <option value="$PROJECT_DIR$/.babelrc" />
        <option value="$PROJECT_DIR$/package.json" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER">
    <package-json value="$PROJECT_DIR$/package.json" />
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodeModulesDirectoryManager">
    <handled-path value="$PROJECT_DIR$/node_modules" />
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths>
      <path value="$PROJECT_DIR$/dist/package.json" />
      <path value="$PROJECT_DIR$/package.json" />
    </packageJsonPaths>
  </component>
  <component name="ProjectFrameBounds" extendedState="6" fullScreen="true">
    <option name="y" value="23" />
    <option name="width" value="1440" />
    <option name="height" value="823" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="project" type="b2602c69:ProjectViewProjectNode" />
              <item name="project" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="project" type="b2602c69:ProjectViewProjectNode" />
              <item name="project" type="462c0819:PsiDirectoryNode" />
              <item name="dist" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="project" type="b2602c69:ProjectViewProjectNode" />
              <item name="project" type="462c0819:PsiDirectoryNode" />
              <item name="dist" type="462c0819:PsiDirectoryNode" />
              <item name="scripts" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="project" type="b2602c69:ProjectViewProjectNode" />
              <item name="project" type="462c0819:PsiDirectoryNode" />
              <item name="tests" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SearchEverywhereHistoryKey" value="&#9;FILE&#9;file:///Users/ezsper/Projects/Git/ezsper.com/spine/config/index.ts" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.tslint" value="$PROJECT_DIR$/node_modules/tslint" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="ts.external.directory.path" value="$PROJECT_DIR$/node_modules/typescript/lib" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/tests" />
      <recent name="$PROJECT_DIR$" />
      <recent name="$PROJECT_DIR$/internal" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a0c744e5-40c6-443a-b4b4-4a911eabacab" name="Default Changelist" comment="" />
      <created>1534956635377</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1534956635377</updated>
      <workItem from="1534956637387" duration="264000" />
      <workItem from="1538499530179" duration="127000" />
      <workItem from="1538501992008" duration="10000" />
      <workItem from="1538574583538" duration="944000" />
      <workItem from="1538580173028" duration="7966000" />
      <workItem from="1538588688076" duration="820000" />
      <workItem from="1538589800833" duration="259000" />
      <workItem from="1538590320528" duration="481000" />
      <workItem from="1538591015730" duration="29000" />
      <workItem from="1538591775553" duration="684000" />
      <workItem from="1538592541399" duration="937000" />
      <workItem from="1538615154164" duration="363000" />
      <workItem from="1538662066915" duration="456000" />
      <workItem from="1538662565833" duration="76000" />
      <workItem from="1538662720256" duration="51000" />
      <workItem from="1538662807320" duration="688000" />
      <workItem from="1538663833274" duration="1118000" />
      <workItem from="1538685787581" duration="460000" />
      <workItem from="1538686309233" duration="312000" />
      <workItem from="1538692004680" duration="261000" />
      <workItem from="1540040397946" duration="543000" />
      <workItem from="1540252317024" duration="363000" />
      <workItem from="1540252731517" duration="16000" />
      <workItem from="1540256535481" duration="256000" />
      <workItem from="1542826898738" duration="27000" />
      <workItem from="1542831836509" duration="221000" />
      <workItem from="1546711994452" duration="1845000" />
      <workItem from="1550844810567" duration="6016000" />
      <workItem from="1550870944974" duration="393000" />
      <workItem from="1556899847697" duration="1046000" />
      <workItem from="1556900972549" duration="11000" />
      <workItem from="1556901251844" duration="9000" />
      <workItem from="1556901268950" duration="11000" />
      <workItem from="1556901488544" duration="13000" />
      <workItem from="1556901575869" duration="26000" />
      <workItem from="1556901622849" duration="158000" />
      <workItem from="1556901818324" duration="5000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="27265000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1440" height="900" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.24947146" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32923833" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" />
      <window_info anchor="bottom" id="Version Control" order="8" />
      <window_info anchor="bottom" id="TypeScript" order="9" weight="0.32916668" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info active="true" anchor="bottom" id="Terminal" order="11" visible="true" weight="0.21621622" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/utils/getConfigPath.ts" />
    <entry file="file://$PROJECT_DIR$/envVars.ts" />
    <entry file="file://$PROJECT_DIR$/autoload.ts" />
    <entry file="file://$PROJECT_DIR$/node_modules/typescript/lib/lib.es5.d.ts" />
    <entry file="file://$PROJECT_DIR$/node_modules/typescript/lib/lib.es2015.core.d.ts" />
    <entry file="file://$PROJECT_DIR$/dist/tests/basic/src/config/clientConfigFilter.js" />
    <entry file="file://$PROJECT_DIR$/dist/tests/basic/src/config/index.js" />
    <entry file="file://$PROJECT_DIR$/dist/tests/basic/src/config/load.js" />
    <entry file="file://$PROJECT_DIR$/tests/basic/src/config/clientConfigFilter.ts" />
    <entry file="file://$PROJECT_DIR$/node_modules/@types/fs-extra/index.d.ts" />
    <entry file="file://$PROJECT_DIR$/LICENSE">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="15" column="28" lean-forward="true" selection-start-line="15" selection-start-column="28" selection-end-line="15" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitlab-ci.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="16" column="6" selection-start-line="16" selection-start-column="6" selection-end-line="16" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="4" selection-start-line="4" selection-end-line="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/basic/src/config/index.ts" />
    <entry file="file://$PROJECT_DIR$/tests/basic/src/config/load.ts" />
    <entry file="file://$PROJECT_DIR$/filterWithRules.ts" />
    <entry file="file://$PROJECT_DIR$/server.ts" />
    <entry file="file://$PROJECT_DIR$/tsconfig.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="504">
          <caret line="28" column="30" lean-forward="true" selection-start-line="28" selection-start-column="30" selection-end-line="28" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/node_modules/@types/node/index.d.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1688">
          <caret line="2447" column="15" selection-start-line="2447" selection-start-column="15" selection-end-line="2447" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/exec.ts" />
    <entry file="file://$PROJECT_DIR$/project-path.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="18">
          <caret line="1" column="29" lean-forward="true" selection-start-line="1" selection-start-column="29" selection-end-line="1" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/scripts/release.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="430">
          <caret line="49" column="29" selection-start-line="49" selection-start-column="29" selection-end-line="49" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/internal/utils/exec.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="5" column="21" lean-forward="true" selection-start-line="5" selection-start-column="21" selection-end-line="5" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="split-provider[text-editor;markdown-preview-editor]">
        <state split_layout="SPLIT">
          <first_editor relative-caret-position="774">
            <caret line="43" column="38" lean-forward="true" selection-start-line="43" selection-start-column="38" selection-end-line="43" selection-end-column="38" />
          </first_editor>
          <second_editor />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dist/project-path.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36">
          <caret line="2" column="43" selection-start-line="2" selection-start-column="43" selection-end-line="2" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dist/package.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="16" column="30" lean-forward="true" selection-start-line="16" selection-start-column="30" selection-end-line="16" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/package.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="54">
          <caret line="3" column="19" lean-forward="true" selection-start-line="3" selection-start-column="19" selection-end-line="3" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/tests/basic.test.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="15" lean-forward="true" selection-start-line="15" selection-end-line="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.babelrc">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="54">
          <caret line="3" column="24" selection-start-line="3" selection-start-column="24" selection-end-line="3" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/dist/index.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/dist/scripts/release.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="36">
          <caret line="2" column="39" selection-start-line="2" selection-start-column="39" selection-end-line="2" selection-end-column="61" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="432">
          <caret line="24" selection-start-line="24" selection-end-line="24" />
        </state>
      </provider>
    </entry>
  </component>
</project>